Update an agent
Update agent instructions, model, workspace, repositories, or persistent state; enable or pause the agent; archive or restore it. enabled and archived also control its schedules and triggers. Supply expectedUpdatedAt to reject concurrent changes.
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const agent = await client.agents.update('7c9e6679-7425-40de-944b-e07fc1f90ae7', {});
use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client
.agents()
.update(
"7c9e6679-7425-40de-944b-e07fc1f90ae7",
AgentsUpdateBody {
expected_updated_at: None,
name: None,
key: None,
instructions: None,
mcp_servers: None,
agent: None,
agent_options: None,
user_state: None,
sandbox_size: None,
project_id: None,
template_id: None,
script: None,
artifact_type: None,
repository_ids: None,
enabled: None,
archived: None,
},
)
.send()
.await?;
curl --request PATCH \
--url https://api.tembo.io/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedUpdatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"key": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"mcpServers": [
"<string>"
],
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"goal": {
"enabled": true,
"objective": "<string>"
},
"ultracode": true
},
"userState": {},
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "<string>",
"script": "<string>",
"repositoryIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"archived": true
}
'import requests
url = "https://api.tembo.io/v1/agents/{agentId}"
payload = {
"expectedUpdatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"key": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"mcpServers": ["<string>"],
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"goal": {
"enabled": True,
"objective": "<string>"
},
"ultracode": True
},
"userState": {},
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "<string>",
"script": "<string>",
"repositoryIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"enabled": True,
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedUpdatedAt: '2023-11-07T05:31:56Z',
name: '<string>',
key: '<string>',
instructions: {
type: 'doc',
content: [{type: 'paragraph', content: [{type: 'text', text: 'Hello'}]}]
},
mcpServers: ['<string>'],
agent: '<string>',
agentOptions: {
reasoningLevel: '<string>',
goal: {enabled: true, objective: '<string>'},
ultracode: true
},
userState: {},
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
templateId: '<string>',
script: '<string>',
repositoryIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
enabled: true,
archived: true
})
};
fetch('https://api.tembo.io/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/agents/{agentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'expectedUpdatedAt' => '2023-11-07T05:31:56Z',
'name' => '<string>',
'key' => '<string>',
'instructions' => [
'type' => 'doc',
'content' => [
[
'type' => 'paragraph',
'content' => [
[
'type' => 'text',
'text' => 'Hello'
]
]
]
]
],
'mcpServers' => [
'<string>'
],
'agent' => '<string>',
'agentOptions' => [
'reasoningLevel' => '<string>',
'goal' => [
'enabled' => true,
'objective' => '<string>'
],
'ultracode' => true
],
'userState' => [
],
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'templateId' => '<string>',
'script' => '<string>',
'repositoryIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'enabled' => true,
'archived' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/agents/{agentId}"
payload := strings.NewReader("{\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"instructions\": {\n \"type\": \"doc\",\n \"content\": [\n {\n \"type\": \"paragraph\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"Hello\"\n }\n ]\n }\n ]\n },\n \"mcpServers\": [\n \"<string>\"\n ],\n \"agent\": \"<string>\",\n \"agentOptions\": {\n \"reasoningLevel\": \"<string>\",\n \"goal\": {\n \"enabled\": true,\n \"objective\": \"<string>\"\n },\n \"ultracode\": true\n },\n \"userState\": {},\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"templateId\": \"<string>\",\n \"script\": \"<string>\",\n \"repositoryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"enabled\": true,\n \"archived\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/agents/{agentId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"instructions\": {\n \"type\": \"doc\",\n \"content\": [\n {\n \"type\": \"paragraph\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"Hello\"\n }\n ]\n }\n ]\n },\n \"mcpServers\": [\n \"<string>\"\n ],\n \"agent\": \"<string>\",\n \"agentOptions\": {\n \"reasoningLevel\": \"<string>\",\n \"goal\": {\n \"enabled\": true,\n \"objective\": \"<string>\"\n },\n \"ultracode\": true\n },\n \"userState\": {},\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"templateId\": \"<string>\",\n \"script\": \"<string>\",\n \"repositoryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"enabled\": true,\n \"archived\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/agents/{agentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"instructions\": {\n \"type\": \"doc\",\n \"content\": [\n {\n \"type\": \"paragraph\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"Hello\"\n }\n ]\n }\n ]\n },\n \"mcpServers\": [\n \"<string>\"\n ],\n \"agent\": \"<string>\",\n \"agentOptions\": {\n \"reasoningLevel\": \"<string>\",\n \"goal\": {\n \"enabled\": true,\n \"objective\": \"<string>\"\n },\n \"ultracode\": true\n },\n \"userState\": {},\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"templateId\": \"<string>\",\n \"script\": \"<string>\",\n \"repositoryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"enabled\": true,\n \"archived\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"sandboxSize": "nano",
"projectId": "<string>",
"templateId": "<string>",
"contentVersion": 1,
"script": "<string>",
"artifactType": "PullRequest",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"enabledAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"organizationName": "<string>",
"createdBy": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"mode": "normal",
"speed": "normal",
"goal": {
"enabled": true,
"objective": "<string>"
},
"ultracode": true
},
"mcpServers": [
"<string>"
],
"userState": {},
"codeRepositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationType": "<string>"
}
],
"lastRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"errorMessage": "<string>"
},
"runCount": 1,
"scheduleCount": 1,
"triggerCount": 1,
"hasPausedSchedule": true,
"hasPausedTrigger": true,
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"integrationTypes": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Value of updatedAt from the last retrieved agent. A concurrent change causes a conflict instead of overwriting newer changes.
Rename the agent.
1 - 200Change the agent lookup key, or null to clear it.
1 - 200Replace the agent instruction document, or null to clear it.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
{ "type": "doc", "content": [ { "type": "paragraph", "content": [{ "type": "text", "text": "Hello" }] } ] }
Replace the MCP server or connection IDs. An empty array clears the selection.
1001 - 200Change the coding agent and model key. Null clears the override.
1 - 200Change agent-specific runtime options, such as reasoning effort.
- Option 1
- Option 2
Show child attributes
Show child attributes
Replace the user-managed persistent agent state.
Show child attributes
Show child attributes
Change the workspace VM size. Null clears the override.
nano, micro, small, medium, large, xl, xxl, ultra, null, null Change the project environment for runs. Null clears the override.
Change the associated agent template identifier, or null to clear it.
200Replace the agent script, or null to clear it.
100000Change the artifact type produced by the agent, or null to clear it.
PullRequest, ToolCall, Plan, Response, File, Service, Source, null, null Replace repository associations. An empty array removes all associations.
250Enable or pause the agent and its schedules and triggers. Archived agents remain paused until restored.
Archive with true or restore with false. Archiving disables schedules and triggers; restoring follows the agent enabled state.
Response
Update an agent
nano, micro, small, medium, large, xl, xxl, ultra, null PullRequest, ToolCall, Plan, Response, File, Service, Source, null 1 - 255Instructions for the agent as a rich-text document. Mentions can reference integrations used by the agent.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
{ "type": "doc", "content": [ { "type": "paragraph", "content": [{ "type": "text", "text": "Hello" }] } ] }
Runtime and model selection key; not the ID of an agent resource.
Execution settings for the selected agent runtime, including provider-specific options.
- Option 1
- Option 2
Show child attributes
Show child attributes
Selected MCP server identifiers, including built-in server keys.
1001 - 200User-defined state keyed by name. Values may be any JSON value, including nested objects and arrays. No application-specific keys are required.
Show child attributes
Show child attributes
250Show child attributes
Show child attributes
Show child attributes
Show child attributes
x >= 0x >= 0x >= 0Was this page helpful?
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const agent = await client.agents.update('7c9e6679-7425-40de-944b-e07fc1f90ae7', {});
use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client
.agents()
.update(
"7c9e6679-7425-40de-944b-e07fc1f90ae7",
AgentsUpdateBody {
expected_updated_at: None,
name: None,
key: None,
instructions: None,
mcp_servers: None,
agent: None,
agent_options: None,
user_state: None,
sandbox_size: None,
project_id: None,
template_id: None,
script: None,
artifact_type: None,
repository_ids: None,
enabled: None,
archived: None,
},
)
.send()
.await?;
curl --request PATCH \
--url https://api.tembo.io/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedUpdatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"key": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"mcpServers": [
"<string>"
],
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"goal": {
"enabled": true,
"objective": "<string>"
},
"ultracode": true
},
"userState": {},
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "<string>",
"script": "<string>",
"repositoryIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"archived": true
}
'import requests
url = "https://api.tembo.io/v1/agents/{agentId}"
payload = {
"expectedUpdatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"key": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"mcpServers": ["<string>"],
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"goal": {
"enabled": True,
"objective": "<string>"
},
"ultracode": True
},
"userState": {},
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "<string>",
"script": "<string>",
"repositoryIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"enabled": True,
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedUpdatedAt: '2023-11-07T05:31:56Z',
name: '<string>',
key: '<string>',
instructions: {
type: 'doc',
content: [{type: 'paragraph', content: [{type: 'text', text: 'Hello'}]}]
},
mcpServers: ['<string>'],
agent: '<string>',
agentOptions: {
reasoningLevel: '<string>',
goal: {enabled: true, objective: '<string>'},
ultracode: true
},
userState: {},
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
templateId: '<string>',
script: '<string>',
repositoryIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
enabled: true,
archived: true
})
};
fetch('https://api.tembo.io/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/agents/{agentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'expectedUpdatedAt' => '2023-11-07T05:31:56Z',
'name' => '<string>',
'key' => '<string>',
'instructions' => [
'type' => 'doc',
'content' => [
[
'type' => 'paragraph',
'content' => [
[
'type' => 'text',
'text' => 'Hello'
]
]
]
]
],
'mcpServers' => [
'<string>'
],
'agent' => '<string>',
'agentOptions' => [
'reasoningLevel' => '<string>',
'goal' => [
'enabled' => true,
'objective' => '<string>'
],
'ultracode' => true
],
'userState' => [
],
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'templateId' => '<string>',
'script' => '<string>',
'repositoryIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'enabled' => true,
'archived' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/agents/{agentId}"
payload := strings.NewReader("{\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"instructions\": {\n \"type\": \"doc\",\n \"content\": [\n {\n \"type\": \"paragraph\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"Hello\"\n }\n ]\n }\n ]\n },\n \"mcpServers\": [\n \"<string>\"\n ],\n \"agent\": \"<string>\",\n \"agentOptions\": {\n \"reasoningLevel\": \"<string>\",\n \"goal\": {\n \"enabled\": true,\n \"objective\": \"<string>\"\n },\n \"ultracode\": true\n },\n \"userState\": {},\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"templateId\": \"<string>\",\n \"script\": \"<string>\",\n \"repositoryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"enabled\": true,\n \"archived\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/agents/{agentId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"instructions\": {\n \"type\": \"doc\",\n \"content\": [\n {\n \"type\": \"paragraph\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"Hello\"\n }\n ]\n }\n ]\n },\n \"mcpServers\": [\n \"<string>\"\n ],\n \"agent\": \"<string>\",\n \"agentOptions\": {\n \"reasoningLevel\": \"<string>\",\n \"goal\": {\n \"enabled\": true,\n \"objective\": \"<string>\"\n },\n \"ultracode\": true\n },\n \"userState\": {},\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"templateId\": \"<string>\",\n \"script\": \"<string>\",\n \"repositoryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"enabled\": true,\n \"archived\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/agents/{agentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"instructions\": {\n \"type\": \"doc\",\n \"content\": [\n {\n \"type\": \"paragraph\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"Hello\"\n }\n ]\n }\n ]\n },\n \"mcpServers\": [\n \"<string>\"\n ],\n \"agent\": \"<string>\",\n \"agentOptions\": {\n \"reasoningLevel\": \"<string>\",\n \"goal\": {\n \"enabled\": true,\n \"objective\": \"<string>\"\n },\n \"ultracode\": true\n },\n \"userState\": {},\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"templateId\": \"<string>\",\n \"script\": \"<string>\",\n \"repositoryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"enabled\": true,\n \"archived\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"sandboxSize": "nano",
"projectId": "<string>",
"templateId": "<string>",
"contentVersion": 1,
"script": "<string>",
"artifactType": "PullRequest",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"enabledAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"organizationName": "<string>",
"createdBy": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"mode": "normal",
"speed": "normal",
"goal": {
"enabled": true,
"objective": "<string>"
},
"ultracode": true
},
"mcpServers": [
"<string>"
],
"userState": {},
"codeRepositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationType": "<string>"
}
],
"lastRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"errorMessage": "<string>"
},
"runCount": 1,
"scheduleCount": 1,
"triggerCount": 1,
"hasPausedSchedule": true,
"hasPausedTrigger": true,
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"integrationTypes": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}